.ruituo-map {
    --line-height: 1.5;
    --bg-page: #032F56;
    --bg-page-second: #05233d;
    --title-text-color: #c6cbd5;
    --text-dark: #111;
    --title-text-color: #fff;
    font-family: var(--font-family);
    padding: 0 0 105px;
    background-color: var(--bg-page);
}

.ruituo-map-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.ruituo-map-content-box {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-right: 100px;
}

.ruituo-map-content-box-title {
    font-size: var(--ruituo-title);
    font-weight: 700;
    line-height: 1.5;
    color: var(--title-text-color);
}

.ruituo-map-content-box-desc {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
    color: var(--title-text-color);
    margin-top: 10px;
}

.ruituo-map-content-box-line {
    width: 100%;
    height: 1px;
    background: #D9D9D9;
    margin: 30px 0;
    position: relative;
}

.ruituo-map-content-box-line::before {
    content: '';
    position: absolute;
    top: -2px;
    left: 0;
    width: 90px;
    height: 5px;
    background: var(--color-primary);
    border-radius: 3px;
}

.ruituo-map-content-box ul {
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.ruituo-map-content-box ul li {
    display: flex;
    align-items: center;
    gap: 11px;
    color: var(--title-text-color);
    font-size: 18px;
    font-weight: 500;
    line-height: 1.67;
}

.ruituo-map-content-box ul li svg {
    width: 26px;
    height: 26px;
    margin-top: 2px;
}
.ruituo-map-content-box ul li b{
    flex: 1;
    font-weight: 400;
}
.ruituo-map-content-map {
    width: 57%;
    max-width: 750px;
    aspect-ratio: 75/55;
    border-radius: 15px;
    overflow: hidden;
}

@media (max-width: 1200px) {
    .ruituo-map-content {
        flex-direction: column;
        gap: 20px;
    }

    .ruituo-map-content-box {
        width: 100%;
        padding-right: 0;
    }

    .ruituo-map-content-map {
        width: 100%;
    }
}

@media (max-width: 992px) {
    .ruituo-map-content-box ul li svg {
        width: 20px;
        height: 20px;
        margin-top: 4px;
    }
}

@media (max-width: 768px) {
    .ruituo-map-content-box ul li svg {
        margin-top: 5px;
    }
}